/*********************************************************************************
 * Copyright(C),Ningbo Joyson Preh Car Connect Co.,Ltd.
 * FileName:    Gpio_abs.h
 * Author:      Zheng shijie
 * Version :    Ver0.1
 * Date:        2020-10-09
 * Description:
 *
 *********************************************************************************/
#ifndef ABSTRACTION_DRIVER_GPIO_GPIO_ABS_H_
#define ABSTRACTION_DRIVER_GPIO_GPIO_ABS_H_

extern void GPIO_Abs_Port_Init(void);
extern void GPIO_Abs_PortA_config(void);
extern void GPIO_Abs_PortB_config(void);
extern void GPIO_Abs_PortC_config(void);
extern void GPIO_Abs_PortD_config(void);
extern void GPIO_Abs_PortE_config(void);

extern void Power_ColdSequenceOn_NoSoc(void);
extern void Power_ColdSequenceOn_WithSoc(void);
extern void Power_WarmSequenceOn_WithSoc(void);
extern void Power_WarmSequenceOn_NoSoc(void);
extern void Power_SequenceOff_WithSoc(void);
extern void Power_SequenceOff_NoSoc(void);

#endif /* ABSTRACTION_DRIVER_GPIO_GPIO_ABS_H_ */
